Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.jpa.map
Class JpaPrimaryKeyJoinColumn

    java.lang.Object
      org.apache.cayenne.jpa.map.JpaPrimaryKeyJoinColumn

All Implemented Interfaces:
  XMLSerializable

    public class JpaPrimaryKeyJoinColumn

extends Object
implements XMLSerializable

Field Summary
`protected String` | `columnDefinition`
`protected String` | `name`
`protected String` | `referencedColumnName`

Constructor Summary
`JpaPrimaryKeyJoinColumn()`
`JpaPrimaryKeyJoinColumn(javax.persistence.PrimaryKeyJoinColumn annotation)`

Method Summary
`void` | `encodeAsXML(XMLEncoder encoder)` Prints itself as XML to the provided XMLEncoder.
`String` | `getColumnDefinition()` Returns columnDefinition property value.
`String` | `getName()`
`String` | `getReferencedColumnName()`
`void` | `setColumnDefinition(String columnDefinition)`
`void` | `setName(String name)`
`void` | `setReferencedColumnName(String referencedColumnName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected String name

### referencedColumnName

    protected String referencedColumnName

### columnDefinition

    protected String columnDefinition

Constructor Detail

### JpaPrimaryKeyJoinColumn

    public JpaPrimaryKeyJoinColumn()

### JpaPrimaryKeyJoinColumn

    public JpaPrimaryKeyJoinColumn(javax.persistence.PrimaryKeyJoinColumn annotation)

Method Detail

### encodeAsXML

    public void encodeAsXML(XMLEncoder encoder)

  Description copied from interface: `XMLSerializable`
  Prints itself as XML to the provided XMLEncoder.

  Specified by:
    `encodeAsXML` in interface `XMLSerializable`

### getColumnDefinition

    public String getColumnDefinition()

  Returns columnDefinition property value.

  ### Specification Docs

  Description: (Optional) A SQL fragment that is used when generating DDL for the column.

  Default: generated SQL to create column of the inferred type.

### setColumnDefinition

    public void setColumnDefinition(String columnDefinition)

### getName

    public String getName()

### setName

    public void setName(String name)

### getReferencedColumnName

    public String getReferencedColumnName()

### setReferencedColumnName

    public void setReferencedColumnName(String referencedColumnName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.